OcsdPeContext Class Reference

Handler for the ocsd_pe_context structure. More...

`#include <ocsd_pe_context.h>`

## Public Member Functions

| OcsdPeContext ()
| OcsdPeContext (const ocsd_pe_context *context)
| ~OcsdPeContext ()
OcsdPeContext & | operator= (const OcsdPeContext &ctxt)
OcsdPeContext & | operator= (const ocsd_pe_context *context)
void | resetCtxt ()
void | setSecLevel (const ocsd_sec_level sl)
void | setEL (const ocsd_ex_level el)
void | setCtxtID (const uint32_t id)
void | setVMID (const uint32_t id)
void | set64bit (const bool is64bit)
const ocsd_sec_level | getSecLevel () const
const ocsd_ex_level | getEL () const
const bool | ELvalid () const
const uint32_t | getCtxtID () const
const bool | ctxtIDvalid () const
const uint32_t | getVMID () const
const bool | VMIDvalid () const
| operator const ocsd_pe_context & () const

## Detailed Description

Handler for the ocsd_pe_context structure.

Reads and writes structure values, enforcing interaction rules between values and flags.

Definition at line 45 of file ocsd_pe_context.h.

## Constructor & Destructor Documentation

## OcsdPeContext() [1/2]

OcsdPeContext::OcsdPeContext | ( |  | ) |

inline

Definition at line 78 of file ocsd_pe_context.h.

Here is the call graph for this function:

## OcsdPeContext() [2/2]

OcsdPeContext::OcsdPeContext | ( | const ocsd_pe_context * | context | ) |

inline

Definition at line 83 of file ocsd_pe_context.h.

## ~OcsdPeContext()

OcsdPeContext::~OcsdPeContext | ( |  | ) |

inline

Definition at line 50 of file ocsd_pe_context.h.

## Member Function Documentation

## ctxtIDvalid()

const bool OcsdPeContext::ctxtIDvalid | ( |  | ) | const

inline

Definition at line 67 of file ocsd_pe_context.h.

## ELvalid()

const bool OcsdPeContext::ELvalid | ( |  | ) | const

inline

Definition at line 65 of file ocsd_pe_context.h.

## getCtxtID()

const uint32_t OcsdPeContext::getCtxtID | ( |  | ) | const

inline

Definition at line 66 of file ocsd_pe_context.h.

## getEL()

const ocsd_ex_level OcsdPeContext::getEL | ( |  | ) | const

inline

Definition at line 64 of file ocsd_pe_context.h.

## getSecLevel()

const ocsd_sec_level OcsdPeContext::getSecLevel | ( |  | ) | const

inline

Definition at line 63 of file ocsd_pe_context.h.

## getVMID()

const uint32_t OcsdPeContext::getVMID | ( |  | ) | const

inline

Definition at line 68 of file ocsd_pe_context.h.

## operator const ocsd_pe_context &()

OcsdPeContext::operator const ocsd_pe_context & | ( |  | ) | const

inline

Definition at line 72 of file ocsd_pe_context.h.

## operator=() [1/2]

OcsdPeContext & OcsdPeContext::operator= | ( | const ocsd_pe_context * | context | ) |

inline

Definition at line 107 of file ocsd_pe_context.h.

## operator=() [2/2]

OcsdPeContext & OcsdPeContext::operator= | ( | const OcsdPeContext & | ctxt | ) |

inline

Definition at line 101 of file ocsd_pe_context.h.

## resetCtxt()

void OcsdPeContext::resetCtxt | ( |  | ) |

inline

Definition at line 88 of file ocsd_pe_context.h.

Here is the caller graph for this function:

## set64bit()

void OcsdPeContext::set64bit | ( | const bool | is64bit | ) |

inline

Definition at line 61 of file ocsd_pe_context.h.

## setCtxtID()

void OcsdPeContext::setCtxtID | ( | const uint32_t | id | ) |

inline

Definition at line 59 of file ocsd_pe_context.h.

## setEL()

void OcsdPeContext::setEL | ( | const ocsd_ex_level | el | ) |

inline

Definition at line 58 of file ocsd_pe_context.h.

## setSecLevel()

void OcsdPeContext::setSecLevel | ( | const ocsd_sec_level | sl | ) |

inline

Definition at line 57 of file ocsd_pe_context.h.

## setVMID()

void OcsdPeContext::setVMID | ( | const uint32_t | id | ) |

inline

Definition at line 60 of file ocsd_pe_context.h.

## VMIDvalid()

const bool OcsdPeContext::VMIDvalid | ( |  | ) | const

inline

Definition at line 69 of file ocsd_pe_context.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/ocsd_pe_context.h